#
# spec file for package innoextract
#
# Copyright (c) 2012-2015 Daniel Scharrer <daniel@constexpr.org>
#               2015 Alexandre Detiste <alexandre@detiste.be>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

Name:           innoextract
Version:        1.6
Release:        1%{?dist}
License:        zlib
Summary:        Tool to extract installers created by Inno Setup
Url:            http://constexpr.org/innoextract/
Source:         http://constexpr.org/innoextract/files/%{name}-%{version}.tar.gz
BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  boost-devel
BuildRequires:  xz-devel

%description
Inno Setup is a tool to create installers for Microsoft Windows
applications. innoextract allows to extract such installers under
non-windows systems without running the actual installer using wine.

%prep
%setup -q

%build
%cmake \
    -DCMAKE_INSTALL_DATAROOTDIR="%{_datadir}" \
    -DCMAKE_INSTALL_MANDIR="%{_mandir}" \
    -DCMAKE_INSTALL_BINDIR="%{_bindir}"
make %{?_smp_mflags}

%install
%make_install

%files
%license LICENSE
%doc README.md CHANGELOG VERSION
%{_bindir}/innoextract
%{_mandir}/man1/innoextract.1*

%changelog
* Fri Mar 25 2016 Alexandre Detiste- 1.6-1
- New upstream release

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.5-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sun Jan 24 2016 Alexandre Detiste <alexandre@detiste.be> - 1.5-5.fc24
- rebuilt for Boost 1.60

* Fri Jan 22 2016 Alexandre Detiste <alexandre@detiste.be> - 1.5-4.fc24
- add ?dist part to version number

* Tue Dec 29 2015 Alexandre Detiste <alexandre@detiste.be> - 1.5-3
- add blank line between changelog entries

* Thu Nov 19 2015 Alexandre Detiste <alexandre@detiste.be> - 1.5-2
- Remove "suse_version" blocks
- Drop Group: and BuildRoot: lines

* Sun Nov 08 2015 Alexandre Detiste <alexandre@detiste.be> - 1.5-1
- Initial Fedora package based on upstream spec-file for 1.5-1
